Subject: bug#72721: 31.0.50; Visual-wrap-prefix-mode breaks Magit log buffers

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Aug 2024 12:59:42 +0300

> Date: Tue, 20 Aug 2024 22:18:11 -0700
> From: Jim Porter <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> Whoops, I'd uploaded the wrong patch. Here's the correct one.

Thanks.  I eventually decided to make the logic in display_min_width
more robust wrt buffer vs string case, and also tried to handle the
case of min-width property on Lisp strings, see the patch I sent.

The case of min-width display spec on an overlay string that covers
buffer text which itself has min-width spec is not handled yet, I
think.  Not sure this is needed, but if it is, we could add it in the
future as an enhancement.